org.jboss.resteasy.util

## Class Hex

- java.lang.Object
- - org.jboss.resteasy.util.Hex

-     public class Hex
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hex()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `decodeHex(String str)` Converts an array of characters representing hexidecimal values into an array of bytes of those same values.
    `static String` | `encodeHex(byte[] data)` Converts an array of bytes into an array of characters representing the hexidecimal values of each byte in order.
    `protected static int` | `toDigit(char ch, int index)` Converts a hexadecimal character to an integer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Hex

          public Hex()

  - ### Method Detail

    - #### decodeHex

          public static byte[] decodeHex(String str)

      Converts an array of characters representing hexidecimal values into an array of bytes of those same values. The returned array will be half the length of the passed array, as it takes two characters to represent any given byte. An exception is thrown if the passed char array has an odd number of elements.
      Parameters:
        `data` - An array of characters containing hexidecimal digits
      Returns:
        A byte array containing binary data decoded from the supplied char array.
      Throws:
        `DecoderException` - Thrown if an odd number or illegal of characters is supplied

    - #### toDigit

          protected static int toDigit(char ch,
                    int index)

      Converts a hexadecimal character to an integer.
      Parameters:
        `ch` - A character to convert to an integer digit
        `index` - The index of the character in the source
      Returns:
        An integer

    - #### encodeHex

          public static String encodeHex(byte[] data)

      Converts an array of bytes into an array of characters representing the hexidecimal values of each byte in order. The returned array will be double the length of the passed array, as it takes two characters to represent any given byte.
      Parameters:
        `data` - a byte[] to convert to Hex characters
      Returns:
        A char[] containing hexidecimal characters

Copyright © 2014. All Rights Reserved.